lockdownd_activate
lockdownd_client_free
lockdownd_client_new
lockdownd_client_new_with_handshake
lockdownd_client_set_label
lockdownd_client_t
lockdownd_cu_pairing_cb_t
lockdownd_cu_pairing_cb_type_t
lockdownd_cu_pairing_create
lockdownd_cu_send_request_and_get_reply
lockdownd_data_classes_free
lockdownd_deactivate
lockdownd_enter_recovery
lockdownd_error_t
lockdownd_get_device_name
lockdownd_get_device_udid
lockdownd_get_sync_data_classes
lockdownd_get_value
lockdownd_get_value_cu
lockdownd_goodbye
lockdownd_pair
lockdownd_pair_cu
lockdownd_pair_with_options
lockdownd_query_type
lockdownd_receive
lockdownd_remove_value
lockdownd_send
lockdownd_service_descriptor_free
lockdownd_set_value
lockdownd_start_service
lockdownd_start_service_with_escrow_bag
lockdownd_start_session
lockdownd_stop_session
lockdownd_strerror
lockdownd_unpair
lockdownd_validate_pair

## lockdownd_start_service()

LIBIMOBILEDEVICE_API lockdownd_error_t lockdownd_start_service | ( | lockdownd_client_t | client,
|  | const char * | identifier,
|  | lockdownd_service_descriptor_t * | service )

Requests to start a service and retrieve it's port on success.

Parameters

  client | The lockdownd client
  identifier | The identifier of the service to start
  service | The service descriptor on success or NULL on failure

Returns
  LOCKDOWN_E_SUCCESS on success, LOCKDOWN_E_INVALID_ARG if a parameter is NULL, LOCKDOWN_E_INVALID_SERVICE if the requested service is not known by the device, LOCKDOWN_E_START_SERVICE_FAILED if the service could not be started by the device